Skip to content
SolidRusT.ai

Agent chat with tools

POST
/v1/agent/chat

Chat with an AI agent that has access to RAG and memory tools for searching and storing information. The agent can automatically use semantic search, knowledge graph queries, hybrid search, and memory recall to provide grounded answers with cited sources.

Authorizations

Request Body required

object
message
required

The user message

string
system_prompt

Optional system prompt to guide the agent

string
history

Previous conversation history

Array<object>
object
role
string
Allowed values: user assistant
content
string
temperature
number
default: 0.7 <= 2
max_tokens
integer
default: 1024

Responses

200

Successful response

object
success
boolean
response

The agent’s response text

string
tool_calls

Tools used by the agent to generate the response

Array<object>
object
tool

Name of the tool called

string
arguments

Arguments passed to the tool

object
result

Result returned by the tool

object
error
string

400

Invalid request

object
error
object
message
string
type
string
code
string
param
string

401

Invalid or missing API key

object
error
object
message
string
type
string
code
string
param
string